%=======================================================================
function [nom_in, nom_out, p] = lit_fic_par (nom_fic)

% Reading of the numerical parameters of the xml file parameters


  if ~exist(nom_fic, 'file')
    nom_in  = '';
    nom_out = '';
	nom_outprev = '';
    p       = [];
    return
  end
  
  xDoc = xmlread(nom_fic);
  
  p       = lit_param_reel('p');
  nom_in  = lit_param_str('IN');
  nom_out = lit_param_str('OUT');
  nom_outprev = lit_param_str('OUTPREV');
  
  % ====================================================================
  function val = lit_param_bool(nom)
    
    w = char(xDoc.getElementsByTagName(nom).item(0).getAttribute('Value')); 

    if strcmpi(w, 'true')
      val = 1;
    else
      val = 0;
    end
    
  end
  % ====================================================================
  function val = lit_param_reel(nom)
    
    val = str2double(xDoc.getElementsByTagName(nom).item(0).getAttribute('Value')); 

  end
  % ====================================================================
  function val = lit_param_str(nom)
    
    val = char(xDoc.getElementsByTagName(nom).item(0).getAttribute('Value')); 

  end
  % ====================================================================
  
end
%=======================================================================
